<bugID>519077<Summary>Add a whitelist+blacklist for the modified prefs list on about:support</Summary><Description>The "Modified Preferences" list shown on about:support gives way too much information about users. Several prefs can be used to gather various private information bits about users including download directory, printer names/IPs, filenames of downloaded files.

Just looking through some of my personal prefs, I see the following prefs that can compromise personal information:
* browser.download.lastDir -- compromises home directory
* print.print_to_filename (various print.*.print_to_filename) -- compromises filename of last file downloaded using print-to-file
* print.* -- compromises printer names and/or IPs

This becomes really bad when combined with extensions that store personal information such as usernames and passwords in prefs for use. We're making it way too easy for this type of data to be accidentally released to others.

This list of modified prefs should just be removed for now. One possibility might be to restrict it to Firefox-only modified prefs with some blacklist for prefs that are known to contain personal data. That way, private information from prefs that extensions add is not compromised when users post this information on public forums.</Description></bugID>